Update Devel-PPPort to CPAN version 3.32
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Sat, 3 Oct 2015 17:58:57 +0000 (18:58 +0100)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Sat, 3 Oct 2015 17:58:57 +0000 (18:58 +0100)
  [DELTA]

3.32 - 2015-09-30

    * Lexical topic no longer works as of perl 5.23

Porting/Maintainers.pl
cpan/Devel-PPPort/PPPort_pm.PL
cpan/Devel-PPPort/parts/inc/misc
cpan/Devel-PPPort/soak

index c167c17..728fa51 100755 (executable)
@@ -340,7 +340,7 @@ use File::Glob qw(:case);
     },
 
     'Devel::PPPort' => {
-        'DISTRIBUTION' => 'WOLFSAGE/Devel-PPPort-3.31.tar.gz',
+        'DISTRIBUTION' => 'WOLFSAGE/Devel-PPPort-3.32.tar.gz',
         # RJBS has asked MHX to have UPSTREAM be 'blead'
         # (i.e. move this from cpan/ to dist/)
         'FILES'        => q[cpan/Devel-PPPort],
index ff59dfc..0bee17a 100644 (file)
@@ -539,7 +539,7 @@ package Devel::PPPort;
 use strict;
 use vars qw($VERSION $data);
 
-$VERSION = '3.31';
+$VERSION = '3.32';
 
 sub _init_data
 {
index c39acd0..1cf1e7e 100644 (file)
@@ -538,7 +538,7 @@ $_ = "Fred";
 ok(&Devel::PPPort::DEFSV(), "Fred");
 ok(&Devel::PPPort::UNDERBAR(), "Fred");
 
-if ($] >= 5.009002) {
+if ($] >= 5.009002 && $] < 5.023) {
   eval q{
     no warnings "deprecated";
     no if $^V > v5.17.9, warnings => "experimental::lexical_topic";
index 5697203..c229ed7 100644 (file)
@@ -27,7 +27,7 @@ use File::Find;
 use List::Util qw(max);
 use Config;
 
-my $VERSION = '3.31';
+my $VERSION = '3.32';
 
 $| = 1;
 my %OPT = (